> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get thinking for a command instance

> Retrieve the thinking/reasoning for a specific command instance



## OpenAPI

````yaml api-reference/openapi.yaml get /getThinking
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /getThinking:
    get:
      summary: Get thinking for a command instance
      description: Retrieve the thinking/reasoning for a specific command instance
      parameters:
        - name: command_instance_id
          in: query
          required: true
          schema:
            type: string
          description: The ID of the command instance
      responses:
        '200':
          description: Thinking retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  thinking:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````